[ARVADOS-DEV] updated: e7a2d57f559f84d9a2181526e3a4d6ca6082f3c4

git at public.curoverse.com git at public.curoverse.com
Wed Dec 9 12:44:48 EST 2015


Summary of changes:
 .../package-test-dockerfiles/centos6/Dockerfile    |  3 +-
 jenkins/test-packages-centos6.sh                   | 42 ++++++++++------------
 2 files changed, 20 insertions(+), 25 deletions(-)

       via  e7a2d57f559f84d9a2181526e3a4d6ca6082f3c4 (commit)
      from  b4ca11159ff0d38af3750c3a109e731f295a8460 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit e7a2d57f559f84d9a2181526e3a4d6ca6082f3c4
Author: Brett Smith <brett at curoverse.com>
Date:   Wed Dec 9 12:43:58 2015 -0500

    7953: Update test procedure for CentOS 6 packages.
    
    Don't install any Software Collections in the Dockerfile, just the
    Software Collections tools.  Test that our packages correctly declare
    their dependency on the relevant Software Collection, and that it gets
    pulled in.  We want to tell users to install this way, so this makes
    sure it's working.
    
    Refs #7953, #7957.

diff --git a/jenkins/package-test-dockerfiles/centos6/Dockerfile b/jenkins/package-test-dockerfiles/centos6/Dockerfile
index 814ad47..addd259 100644
--- a/jenkins/package-test-dockerfiles/centos6/Dockerfile
+++ b/jenkins/package-test-dockerfiles/centos6/Dockerfile
@@ -1,7 +1,6 @@
 FROM centos:6
 MAINTAINER Peter Amstutz <peter.amstutz at curoverse.com>
 
-RUN yum -q install --assumeyes scl-utils centos-release-SCL && \
-    yum -q install --assumeyes python27
+RUN yum -q install --assumeyes scl-utils centos-release-SCL
 
 COPY localrepo.repo /etc/yum.repos.d/localrepo.repo
\ No newline at end of file
diff --git a/jenkins/test-packages-centos6.sh b/jenkins/test-packages-centos6.sh
index 1aca953..7a13982 100755
--- a/jenkins/test-packages-centos6.sh
+++ b/jenkins/test-packages-centos6.sh
@@ -1,29 +1,25 @@
 #!/bin/bash
 
-if ! python --version |& grep "Python 2.7" >/dev/null ; then
-    # Re-execute in the software collections Python 2.7 environment.
-    exec scl enable python27 $0
-else
-    yum -q clean all
-    touch /var/lib/rpm/*
-    if ! yum -q install --assumeyes \
-         python27-python-arvados-python-client python27-python-arvados-fuse arvados-node-manager
-    then
-        exit 1
-    fi
+yum -q clean all
+touch /var/lib/rpm/*
+if ! yum -q install --assumeyes \
+     python27-python-arvados-python-client python27-python-arvados-fuse arvados-node-manager
+then
+    exit 1
+fi
 
-    mkdir -p /tmp/opts
-    cd /tmp/opts
+mkdir -p /tmp/opts
+cd /tmp/opts
 
-    for r in /arvados/packages/centos6/python27-python-*x86_64.rpm ; do
-        rpm2cpio $r | cpio -idm
-    done
+for r in /arvados/packages/centos6/python27-python-*x86_64.rpm ; do
+    rpm2cpio $r | cpio -idm
+done
 
-    for so in $(find . -name "*.so") ; do
-        echo
-        echo "== Packages dependencies for $so =="
-        ldd $so | awk '($3 ~ /^\//){print $3}' | sort -u | xargs rpm -qf | sort -u
-    done
+for so in $(find -name "*.so") ; do
+    echo
+    echo "== Packages dependencies for $so =="
+    scl enable python27 "ldd $so" \
+        | awk '($3 ~ /^\//){print $3}' | sort -u | xargs rpm -qf | sort -u
+done
 
-    exec /jenkins/common-test-packages.sh
-fi
+exec scl enable python27 /jenkins/common-test-packages.sh

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list